## org.eclipse.datatools.modelbase.dbdefinition
Interface SQLSyntaxDefinition

All Known Implementing Classes:
  SQLSyntaxDefinitionImpl

    public interface SQLSyntaxDefinition

A representation of the model object 'SQL Syntax Definition'.

The following features are supported:

- `Keywords`
- `Operators`
- `Termination Character`

See Also:
  `DatabaseDefinitionPackage.getSQLSyntaxDefinition()`

Method Summary
`EList` `getKeywords()` Returns the value of the 'Keywords' attribute list.
`EList` `getOperators()` Returns the value of the 'Operators' attribute list.
`java.lang.String` `getTerminationCharacter()` Returns the value of the 'Termination Character' attribute.
`void` `setTerminationCharacter(java.lang.String value)` Sets the value of the '`Termination Character`' attribute.

Method Detail

### getKeywords

    EList getKeywords()

  Returns the value of the 'Keywords' attribute list. The list contents are of type `String`.

  If the meaning of the 'Keywords' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Keywords' attribute list.
  See Also:
    `DatabaseDefinitionPackage.getSQLSyntaxDefinition_Keywords()`

### getOperators

    EList getOperators()

  Returns the value of the 'Operators' attribute list. The list contents are of type `String`.

  If the meaning of the 'Operators' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Operators' attribute list.
  See Also:
    `DatabaseDefinitionPackage.getSQLSyntaxDefinition_Operators()`

### getTerminationCharacter

    java.lang.String getTerminationCharacter()

  Returns the value of the 'Termination Character' attribute. The default value is `";"`.

  If the meaning of the 'Termination Character' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Termination Character' attribute.
  See Also:
    `setTerminationCharacter(String)`, `DatabaseDefinitionPackage.getSQLSyntaxDefinition_TerminationCharacter()`

### setTerminationCharacter

    void setTerminationCharacter(java.lang.String value)

  Sets the value of the '`Termination Character`' attribute.

  Parameters:
    `value` - the new value of the 'Termination Character' attribute.
  See Also:
    `getTerminationCharacter()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.